gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-merchant] 01/02: run merchant tests from the wallet test suite in


From: gnunet
Subject: [taler-merchant] 01/02: run merchant tests from the wallet test suite in 'make check'
Date: Tue, 02 Mar 2021 20:03:21 +0100

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository merchant.

commit 7075d07b688893410c79b515ecb724af53787eda
Author: Florian Dold <florian@dold.me>
AuthorDate: Tue Mar 2 20:02:58 2021 +0100

    run merchant tests from the wallet test suite in 'make check'
---
 src/.gitignore                             |  3 ++-
 src/testing/Makefile.am                    |  7 ++++++-
 src/testing/test-merchant-walletharness.sh | 18 ++++++++++++++++++
 3 files changed, 26 insertions(+), 2 deletions(-)

diff --git a/src/.gitignore b/src/.gitignore
index 90ea1a04..4f49c073 100644
--- a/src/.gitignore
+++ b/src/.gitignore
@@ -6,4 +6,5 @@
 *.log
 *.trs
 */__pycache__
-test-*
\ No newline at end of file
+test-*
+!test-*.sh
diff --git a/src/testing/Makefile.am b/src/testing/Makefile.am
index fb045996..cad802fb 100644
--- a/src/testing/Makefile.am
+++ b/src/testing/Makefile.am
@@ -6,6 +6,9 @@ if USE_COVERAGE
   XLIB = -lgcov
 endif
 
+
+check_SCRIPTS = test-merchant-walletharness.sh
+
 lib_LTLIBRARIES = \
   libtalermerchanttesting.la
 
@@ -82,7 +85,9 @@ endif
 endif
 
 TESTS = \
-  $(check_PROGRAMS)
+  $(check_PROGRAMS) \
+  $(check_SCRIPTS)
+
 
 test_merchant_api_twisted_SOURCES = \
   test_merchant_api_twisted.c
diff --git a/src/testing/test-merchant-walletharness.sh 
b/src/testing/test-merchant-walletharness.sh
new file mode 100755
index 00000000..f3f1d59a
--- /dev/null
+++ b/src/testing/test-merchant-walletharness.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+# This script runs test from the wallet's integration test harness.
+# If the wallet is not installed, the tests are skipped.
+# Only tests from the "merchant" test suite are run.
+
+set -eu
+
+res=0
+taler-wallet-cli testing run-integrationtests --dry --suites merchant 
2&>/dev/null || res=$?
+
+if [[ $res -ne 0 ]]; then
+  echo "skipping wallet test harness"
+  exit 77
+fi
+
+
+exec taler-wallet-cli testing run-integrationtests --suites merchant

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]